=== debian/changelog ===
oasis (0.4.10-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:40:10 +0200

oasis (0.4.10-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to liboasis-ocaml-dev's Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 23:42:24 +0200

oasis (0.4.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Remove patch (does not apply anymore)
  * Add ocamlbuild and libexpect-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 17:27:27 +0200
