=== debian/control ===
Source: oasis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Hendrik Tews <hendrik@askra.de>
Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.2),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.3.1),
  camlp4,
  ocamlbuild,
  ocamlify,
  ocamlmod (>= 0.0.7),
  libpcre-ocaml-dev,
  libounit-ocaml-dev (>= 2.0.0),
  libodn-ocaml-dev (>= 0.0.11),
  libfindlib-ocaml-dev,
  libfileutils-ocaml-dev (>= 0.4.2),
  zlib1g-dev,
  libidn11-dev,
  libextlib-ocaml-dev,
  libexpect-ocaml-dev,
  libbitstring-ocaml-dev
Standards-Version: 3.9.8
Homepage: http://oasis.forge.ocamlcore.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git

Package: oasis
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 liboasis-ocaml-dev
Description: Build-system generation for OCaml projects -- binaries
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains command-line tools.

Package: liboasis-ocaml-dev
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ocamlbuild,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Build-system generation for OCaml projects -- development files
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the development files needed for using OASIS as
 a library.

Package: liboasis-ocaml
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Build-system generation for OCaml projects -- runtime
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the shared runtime libraries and plugins.

Package: liboasis-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the documentation.
