=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --enable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	if [ ! -f src/oasis/OASISData.mli ] ; then \
		ocamlbuild src/oasis/OASISData.inferred.mli; \
		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
	fi
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	# Tests disabled for now (until this is built with OCaml >= 4.02)
	# ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

debian/oasis.1: debian/oasis.mkd
	pandoc -s -w man $^ -o $@
