=== debian/changelog ===
oasis (0.4.11-5build5) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:33:03 +0100

oasis (0.4.11-5build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:26:37 +0100

oasis (0.4.11-5build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:14:25 +0100

oasis (0.4.11-5build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:30:03 +0200

oasis (0.4.11-5build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:44:31 +0200

oasis (0.4.11-5) unstable; urgency=medium

  * Team upload
  * Call ocamlbuild with -use-ocamlfind

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Jun 2024 11:07:01 +0200

oasis (0.4.11-4) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 5.x
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 09:03:35 +0200

oasis (0.4.11-3) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:49:19 +0200

oasis (0.4.11-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove libpcre-ocaml-dev from Build-Depends (unused)
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Update debian/watch

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Add Multi-Arch: foreign to liboasis-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 13:41:07 +0100

oasis (0.4.11-1) unstable; urgency=medium

  * New upstream release
  * Disable tests (they depend on camlp4), clean up Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 04:58:32 +0200

oasis (0.4.10-3) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Bump debhelper compat level to 12
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 09:39:06 +0200
