=== debian/control ===
--- 
+++ 
@@ -2,32 +2,26 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
-  Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  debhelper (>= 9),
-  dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.2),
+  debhelper-compat (= 13),
+  dh-ocaml,
+  ocaml,
   ocaml-best-compilers,
   ocaml-findlib (>= 1.3.1),
-  camlp4,
   ocamlbuild,
   ocamlify,
   ocamlmod (>= 0.0.7),
-  libpcre-ocaml-dev,
   libounit-ocaml-dev (>= 2.0.0),
-  libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.2),
+  libcamlp-streams-ocaml-dev,
   zlib1g-dev,
-  libidn11-dev,
-  libextlib-ocaml-dev,
-  libexpect-ocaml-dev,
-  libbitstring-ocaml-dev
-Standards-Version: 3.9.8
+  libidn-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/oasis.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/oasis
 
 Package: oasis
 Architecture: any
@@ -129,6 +123,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Architecture for building OCaml libraries and applications
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
