=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

SETUP := ocaml -I +camlp-streams camlp_streams.cma setup.ml

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	$(SETUP) -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --disable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(SETUP) -build
	if [ ! -f src/oasis/OASISData.mli ] ; then \
		ocamlbuild src/oasis/OASISData.inferred.mli; \
		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
	fi
	$(SETUP) -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SETUP) -test
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(SETUP) -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(SETUP) -distclean

debian/oasis.1: debian/oasis.mkd
	pandoc -s -w man $^ -o $@
