=== debian/watch ===
version=4
https://github.com/ocaml/oasis/tags .*/v?([0-9.]+)\.tar\.gz
