## oasis 0.99.5

=== DESCRIPTION ===
Package: oasis
Type: Package
Title: Multiple Sclerosis Lesion Segmentation using Magnetic Resonance
        Imaging (MRI)
Version: 0.99.5
Date: 2015-12-26
Authors@R: c(person(given = "Elizabeth M.", "Sweeney",  
  email = "emsweene@jhsph.edu", role = c("aut", "cre")), 
  person(given = "John", family = "Muschelli", email = "muschellij2@gmail.com", 
  role = c("aut")), 
  person(  given = "R. Taki", family = "Shinohara", 
  email = "rshi@mail.med.upenn.edu", 
  role = c("aut")))
Maintainer: Elizabeth M. Sweeney <emsweene@jhsph.edu>
Description: Trains and makes predictions from the OASIS method, described in
    detail in the paper "OASIS is Automated Statistical Inference for Segmentation,
    with applications to multiple sclerosis lesion segmentation in MRI" 
    <doi:10.1016/j.nicl.2013.03.002>. OASIS is a method
    for multiple sclerosis (MS) lesion segmentation on structural magnetic resonance
    image (MRI) studies. OASIS creates probability maps of lesion presence using the
    FLAIR, T2, T1, and PD structural MRI volumes. This packages allows for training
    of the OASIS model and prediction of OASIS probability maps from a trained model
    with user supplied studies that have a gold standard lesion segmentation masks.
    The package will also create OASIS probability maps for MRI studies using the
    OASIS model from the OASIS paper if no gold standard lesion segmentation masks
    are available.
Depends: fslr (>= 1.5.0)
Imports: stats, parallel, oro.nifti
Suggests: downloader
License: GPL-2
LazyLoad: yes
LazyData: yes
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-26 18:11:17 UTC; johnmuschelli
Author: Elizabeth M. Sweeney [aut, cre],
  John Muschelli [aut],
  R. Taki Shinohara [aut]
Repository: CRAN
Date/Publication: 2015-12-26 21:18:11
